ChangeSet 1.1757.66.21, 2004/07/14 14:59:25-07:00, david-b@pacbell.net

[PATCH] USB: usb serial gadget, add omap_udc

This lets the serial gadget work with another controller.

Tell serial about omap_udc.  This driver still needs updating to
use the endpoint autoconfig suppport; like Gadget Zero, it
really shouldn't need _any_ hardware-specific #ifdeffery.

Signed-off-by:	David Brownell <dbrownell@users.sourceforge.net>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/gadget/serial.c |   14 ++++++++++++++
 1 files changed, 14 insertions(+)


diff -Nru a/drivers/usb/gadget/serial.c b/drivers/usb/gadget/serial.c
--- a/drivers/usb/gadget/serial.c	2004-07-14 16:44:31 -07:00
+++ b/drivers/usb/gadget/serial.c	2004-07-14 16:44:31 -07:00
@@ -249,6 +249,20 @@
 #define hw_optimize(g)			do {} while (0)
 #endif
 
+#ifdef	CONFIG_USB_GADGET_OMAP
+#define CHIP			"omap"
+#define EP0_MAXPACKET			64
+static const char EP_OUT_NAME [] = "ep2out-bulk";
+#define EP_OUT_NUM	2
+static const char EP_IN_NAME [] = "ep1in-bulk";
+#define EP_IN_NUM	1
+#define SELFPOWER 			USB_CONFIG_ATT_SELFPOWER
+/* supports remote wakeup, but this driver doesn't */
+
+/* no hw optimizations to apply */
+#define hw_optimize(g) do {} while (0)
+#endif
+
 
 /*
  * SA-1100 UDC:  widely used in first gen Linux-capable PDAs.
